Copter 3.5-rc2 erratic ESC/Motors output

Hello,

This problem has already been raised by Marc Lebret here


but it seems it has not been fixed and the title was inappropriate therefore I’m opening a new post about it.

My config: RPi3/navio2, 350mm & 650mm Quadcopter, FrSky X9E & X8R,
BLHeli & DJI 620S ESCs, 2208-1100KV & 3510-350KV motors

I am flying with RP3/Navio2 on two different quad frames with the latest stable emlid image AC-3.4.
Two days ago I installed the latest AC-3.5-rc2 and built on the RP3 itself, then reset to defaults the
parameters from MP 1.3.45.1, set FRAME_CLASS to 1 and made usual settings and calibrations.

After RP3/navio2 & ESC initialisation there are erratic outputs to the ESC/Motors, even when Disarmed.
I can arm and power on motors but there are still erratic spikes.
If I return back to AC-3.4 with the same setup it’s working fine again.

I tried three different ESCs: Typhoon 4-in-1 20A BLHeli 14.4, Littlebee Mini-20A BLHeli 14.1 & DJI 620S
In BLHeli: ‘Enable PWM Input’=On, ‘PWM Output Dither’=Off, ‘PWM Frequency/Damped’=High.

My PWM channel outputs are normal at 1090 when Disarmed.
I tried all other possible settings from MP and BLHeliSuite including OneShot, the only one avoiding this
issue is setting RC_SPEED from 490Hz to 50Hz.

It has always been working fine at 490Hz on different setups with previous versions, is there any recent change
in Copter 3.5 which would give an issue to the emlid RCIO driver ?

George, did you try Copter-3.5 with Navio2 ?

Hope to get a fix soon…

Patrick

Hello there!

Yes, I had launched 3.5-rc1 and at first I did experience the same thing.

The bug has been fixed, though. Have you tried sudo apt-get update && sudo apt-get upgrade?

dpkg -l | grep rcio-dkms should yield 0.6.6.

Hello George,

Thank you for the reply, yes I made sudo apt-get update && sudo apt-get upgrade.
dpkg -l shows rcio-dkms at 0.6.3, therefore not 0.6.6 as it should.

Did I miss something, what can I do or check further ?

As a quick hack you can

git clone https://github.com/emlid/navio-rcio-linux-driver rcio-dkms
cd rcio-dkms
dkms mkdeb --source-only
sudo dpkg -i ../rcio-dkms_0.6.6_all.deb

This will upgrade the package.

Sorry but it gives the following error:

I also realized that ‘sudo apt-get update’ gave me the following error:

I’m sorry the first command didn’t show up. You need to git clone repo first.

Hi George,
Now I do have rcio-dkms 0.6.6 and no more erratic outputs, thank you !
I will try to fly today with AC-3.5.0-rc2 and test the new AutoTune in PosHold.
BTW any explanation why I had these errors when I made ‘sudo apt-get update’ ?

1 Like

2 posts were split to a new topic: Emlid Raspbian 20160718 doesn’t let itself apt-get upgrade properly

I suggest continue discussing issues apt-get upgrade issues in another thread as it’s not relevant to the topic.